﻿package
{
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	
	public class Paquet extends MovieClip
	{
		
		var emetteur:Routeur;
		var currentPath:Chemin;
		var detruit:Boolean;
		var etat:Number;
		var etatArea:TextField = new TextField();
		var format:TextFormat;
		
		public function Paquet(_emetteur:Routeur)
		{
			emetteur = _emetteur;
			this.x = emetteur.x;
			this.y = emetteur.y;
			detruit = false;
			etat = 100;
			this.majEtat();
		}
		
		public function majEtat()
		{
			etatArea.text = etat.toString().substring(0,3) + "%";
			
			if(this is PUser)
				format = new TextFormat(null, 10, 0xFFFFFF, false);
			else
				format = new TextFormat(null, 10, 0x000000, false);
				
			etatArea.height = 30;
			etatArea.width = 30;
			etatArea.setTextFormat(format, 0, etatArea.text.length);
			etatArea.selectable = false;
			this.addChild(etatArea);
		}
		
		public function detruire()
		{
			this.visible = false;
			detruit = true;
		}
		
		public function estDetruit():Boolean
		{
			return detruit;
		}
		
		public function bruiter(val:Number)
		{
			etat = Math.max(0, etat - val);
			etatArea.text = etat.toString().substring(0,4) + "%";
			etatArea.setTextFormat(format, 0, etatArea.text.length);
		}
		
		public function getEtat():Number
		{
			return etat;
		}
	}
}