﻿package
{
	import Routeur;
	import Chemin;
	import flash.display.MovieClip;
	import  flash.events.MouseEvent;
	

	public class Slot extends MovieClip
	{
		public var routeur:Routeur;
		public var chemin:Chemin;
		private var mId:int;
		
		public function Slot(_routeur:Routeur, _rotCount:int, _x:int, _y:int, _id:int)
		{

			mId = _id;
			routeur = _routeur;
			buttonMode = true;
			useHandCursor = true;

			x = _x;
			y = _y;
						
						
			rotation = _rotCount * 90;
			
			if(_rotCount == 0)
				x -= 8;

			if(_rotCount == 1)
			{
				y -= 8;
			}
			
			if(_rotCount == 2)
			{
				x += 8;
			}
			
			if(_rotCount == 3)
			{
				y += 8;
			}
			
			
			addEventListener(MouseEvent.ROLL_OVER, onRollOverHandler);
			addEventListener(MouseEvent.ROLL_OUT, onRollOutHandler);
			addEventListener(MouseEvent.CLICK, onClickHandler);
			addEventListener(MouseEvent.MOUSE_DOWN, onPressHandler);
			addEventListener(MouseEvent.MOUSE_UP, onReleaseHandler);
		}
		
		private function onRollOverHandler(myEvent:MouseEvent)
		{
			//trace("slot" + mId);
		}
		
		private function onRollOutHandler(myEvent:MouseEvent)
		{
			//trace("Out");
		}
		
		private function onClickHandler(myEvent:MouseEvent)
		{
			//trace("I waited for Press AND Release!!!");
		}
		
		private function onPressHandler(myEvent:MouseEvent)
		{
			//trace("Press");
			routeur.setNextSlotByClick(mId);
		}
		
		private function onReleaseHandler(myEvent:MouseEvent)
		{
			//trace("Release");
		}
	}
}